.\"#ident "%W% %G%"
.\"
.\" # Copyright (C) 1994 Kubota Graphics Corp.
.\" # 
.\" # Permission to use, copy, modify, and distribute this material for
.\" # any purpose and without fee is hereby granted, provided that the
.\" # above copyright notice and this permission notice appear in all
.\" # copies, and that the name of Kubota Graphics not be used in
.\" # advertising or publicity pertaining to this material.  Kubota
.\" # Graphics Corporation MAKES NO REPRESENTATIONS ABOUT THE ACCURACY
.\" # OR SUITABILITY OF THIS MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED
.\" # "AS IS", WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING THE
.\" # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" # PURPOSE AND KUBOTA GRAPHICS CORPORATION DISCLAIMS ALL WARRANTIES,
.\" # EXPRESS OR IMPLIED.
.\"
.TH DoTextHeight 3D  "Dore"
.SH NAME
DoTextHeight \- Create a text height primitive attribute object
.SH SYNOPSIS
.nf
.ft 3
C:
.in  +.5i
DtObject DoTextHeight(textheight)
DtReal textheight;
.sp
.in -.5i
FORTRAN:
.in +.5i
INTEGER*4 DOTH(TXHGHT)
REAL*8 TXHGHT
.in -.5i
.fi
.SH DESCRIPTION
.IX DOTH
.IX DoTextHeight
.I DoTextHeight
creates a text height primitive attribute object.  The parameter
\f2textheight\fP specifies the nominal height of a capital letter
for subsequently executed text primitive objects.
The \f2textheight\fP parameter should be a positive value.
.PP
\f2DoTextHeight\fP also adjusts the character's width
so that the height-to-width ratio of the character
does not change.
.SH DEFAULTS
The default \f2DoTextHeight\fP is 1.0.
.SH "SEE ALSO"
.na
.nh
DoAnnoText(3D), DoText(3D), DoTextAlign(3D), DoTextExpFactor(3D), 
DoTextFont(3D), DoTextPath(3D), DoTextPrecision(3D), DoTextSpace(3D),
DoTextUpVector(3D)
.ad
.hy
